# eric6.Plugins.VcsPlugins.vcsGit.GitAddRemoteDialog

Module implementing a dialog to enter the data of a remote repository.

### Global Attributes

None

### Classes

GitAddRemoteDialog | Class implementing a dialog to enter the data of a remote repository.

### Functions

None

## GitAddRemoteDialog

Class implementing a dialog to enter the data of a remote repository.

### Derived from

QDialog, Ui_GitAddRemoteDialog

### Class Attributes

None

### Class Methods

None

### Methods

GitAddRemoteDialog | Constructor
__updateOK | Private method to update the status of the OK button.
getData | Public method to get the entered data.
on_nameEdit_textChanged | Private slot handling changes of the entered name.
on_urlEdit_textChanged | Private slot handling changes of the entered URL.
on_userEdit_textChanged | Private slot handling changes of the entered user name.

### Static Methods

None

#### GitAddRemoteDialog (Constructor)

GitAddRemoteDialog(parent=None)

Constructor

parent (QWidget)
  reference to the parent widget

#### GitAddRemoteDialog.__updateOK

__updateOK()

Private method to update the status of the OK button.

#### GitAddRemoteDialog.getData

getData()

Public method to get the entered data.

Returns:
  tuple with name and URL of the remote repository

Return Type:
  tuple of (str, str)

#### GitAddRemoteDialog.on_nameEdit_textChanged

on_nameEdit_textChanged(txt)

Private slot handling changes of the entered name.

txt (str)
  current text

#### GitAddRemoteDialog.on_urlEdit_textChanged

on_urlEdit_textChanged(txt)

Private slot handling changes of the entered URL.

txt (str)
  current text

#### GitAddRemoteDialog.on_userEdit_textChanged

on_userEdit_textChanged(txt)

Private slot handling changes of the entered user name.

txt (str)
  current text

Up